module ObfuscatedMorseCode
  class FileParser
    attr_reader :file_path

    FileNotFoundError = Class.new(StandardError)

    def initialize(file_path)
      @file_path = file_path
    end

    def parse
      File.open(file_path).reduce([], &:<<).map(&:strip)
    rescue Errno::ENOENT
      raise FileNotFoundError, "Couldn't locate file: '#{file_path}'"
    end
  end
end
